# # Interface: TooltipModel<TType>

## # Type parameters

Name | Type
--- | ---
`TType` | extends `ChartType`

## # Hierarchy

- `Element`<`AnyObject`, `TooltipOptions`<`TType`>>

  ↳ `TooltipModel`

## # Properties

### # active

• `Readonly` active: `boolean`

#### # Inherited from

Element.active

#### # Defined in

element.d.ts:7
(opens new window)

### # afterBody

• afterBody: `string`[]

#### # Defined in

index.esm.d.ts:2503
(opens new window)

### # beforeBody

• beforeBody: `string`[]

#### # Defined in

index.esm.d.ts:2501
(opens new window)

### # body

• body: { `after`: `string`[] ; `before`: `string`[] ; `lines`: `string`[] }[]

#### # Defined in

index.esm.d.ts:2499
(opens new window)

### # caretX

• caretX: `number`

#### # Defined in

index.esm.d.ts:2490
(opens new window)

### # caretY

• caretY: `number`

#### # Defined in

index.esm.d.ts:2491
(opens new window)

### # chart

• `Readonly` chart: `Chart`<`TType`, `DistributiveArray`<`ChartTypeRegistry`[`TType`][`"defaultDataPoint"`]>, `unknown`>

#### # Defined in

index.esm.d.ts:2475
(opens new window)

### # dataPoints

• dataPoints: `TooltipItem`<`TType`>[]

#### # Defined in

index.esm.d.ts:2478
(opens new window)

### # footer

• footer: `string`[]

#### # Defined in

index.esm.d.ts:2511
(opens new window)

### # height

• height: `number`

#### # Defined in

index.esm.d.ts:2488
(opens new window)

### # labelColors

• labelColors: `TooltipLabelStyle`[]

#### # Defined in

index.esm.d.ts:2514
(opens new window)

### # labelPointStyles

• labelPointStyles: { `pointStyle`: `PointStyle` ; `rotation`: `number` }[]

#### # Defined in

index.esm.d.ts:2516
(opens new window)

### # labelTextColors

• labelTextColors: `Color`[]

#### # Defined in

index.esm.d.ts:2515
(opens new window)

### # opacity

• opacity: `number`

#### # Defined in

index.esm.d.ts:2519
(opens new window)

### # options

• options: `TooltipOptions`<`TType`>

#### # Overrides

Element.options

#### # Defined in

index.esm.d.ts:2522
(opens new window)

### # title

• title: `string`[]

#### # Defined in

index.esm.d.ts:2507
(opens new window)

### # width

• width: `number`

#### # Defined in

index.esm.d.ts:2487
(opens new window)

### # x

• x: `number`

#### # Overrides

Element.x

#### # Defined in

index.esm.d.ts:2485
(opens new window)

### # xAlign

• xAlign: `TooltipXAlignment`

#### # Defined in

index.esm.d.ts:2481
(opens new window)

### # y

• y: `number`

#### # Overrides

Element.y

#### # Defined in

index.esm.d.ts:2486
(opens new window)

### # yAlign

• yAlign: `TooltipYAlignment`

#### # Defined in

index.esm.d.ts:2482
(opens new window)

## # Methods

### # getActiveElements

▸ getActiveElements(): `ActiveElement`[]

#### # Returns

`ActiveElement`[]

#### # Defined in

index.esm.d.ts:2524
(opens new window)

### # getProps

▸ getProps<`P`>(`props`, `final?`): `Pick`<`AnyObject`, `P`[`number`]>

#### # Type parameters

Name | Type
--- | ---
`P` | extends `string`[]

#### # Parameters

Name | Type
--- | ---
`props` | `P`
`final?` | `boolean`

#### # Returns

`Pick`<`AnyObject`, `P`[`number`]>

#### # Inherited from

Element.getProps

#### # Defined in

element.d.ts:12
(opens new window)

### # hasValue

▸ hasValue(): `boolean`

#### # Returns

`boolean`

#### # Inherited from

Element.hasValue

#### # Defined in

element.d.ts:11
(opens new window)

### # setActiveElements

▸ setActiveElements(`active`, `eventPosition`): `void`

#### # Parameters

Name | Type
--- | ---
`active` | `ActiveDataPoint`[]
`eventPosition` | `Point`

#### # Returns

`void`

#### # Defined in

index.esm.d.ts:2525
(opens new window)

### # tooltipPosition

▸ tooltipPosition(`useFinalPosition?`): `Point`

#### # Parameters

Name | Type
--- | ---
`useFinalPosition?` | `boolean`

#### # Returns

`Point`

#### # Inherited from

Element.tooltipPosition

#### # Defined in

element.d.ts:10
(opens new window)